Bug 84342 - [EFL] Unskip passing web storage tests
: [EFL] Unskip passing web storage tests
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit EFL
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Thiago Marcos P. Santos
:
Depends on: 84169 84170
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 07:42 PDT by Thiago Marcos P. Santos
Modified: 2012-04-23 09:04 PDT (History)
3 users (show)

See Also:


Attachments
tests gardening (5.34 KB, patch)
2012-04-19 13:21 PDT, Thiago Marcos P. Santos
no flags Details | Formatted Diff | Diff
patch (5.36 KB, patch)
2012-04-20 14:08 PDT, Thiago Marcos P. Santos
no flags Details | Formatted Diff | Diff
patch (5.35 KB, patch)
2012-04-20 14:29 PDT, Thiago Marcos P. Santos
no flags Details | Formatted Diff | Diff
patch (5.34 KB, patch)
2012-04-21 03:48 PDT, Thiago Marcos P. Santos
webkit.review.bot: commit‑queue-
Details | Formatted Diff | Diff
Rebased! (5.30 KB, patch)
2012-04-23 07:45 PDT, Thiago Marcos P. Santos
no flags Details | Formatted Diff | Diff
Rebased once again! (5.30 KB, patch)
2012-04-23 07:48 PDT, Thiago Marcos P. Santos
webkit.review.bot: commit‑queue-
Details | Formatted Diff | Diff
Rebased again! Not a lucky day. (5.27 KB, patch)
2012-04-23 08:24 PDT, Thiago Marcos P. Santos
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thiago Marcos P. Santos 2012-04-19 07:42:27 PDT
Skip list and text expectations needs gardening when talking about database. After closing some bugs, we can reach the same passing as Qt and GTK on this area.
Comment 1 Thiago Marcos P. Santos 2012-04-19 13:21:10 PDT
Created attachment 137963 [details]
tests gardening
Comment 2 Thiago Marcos P. Santos 2012-04-20 14:08:14 PDT
Created attachment 138158 [details]
patch

Rebased the aging patch...
Comment 3 Raphael Kubo da Costa (:rakuco) 2012-04-20 14:22:02 PDT
Comment on attachment 138158 [details]
patch

Removing my cq+ flag; please upload another version without the OOPS line in the ChangeLog so it can be committed directly.
Comment 4 Thiago Marcos P. Santos 2012-04-20 14:29:39 PDT
Created attachment 138166 [details]
patch
Comment 5 Raphael Kubo da Costa (:rakuco) 2012-04-20 15:31:08 PDT
Comment on attachment 138166 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=138166&action=review

> LayoutTests/ChangeLog:6
> +        Reviewed by NOBODY.

I didn't mean literally only the OOPS :-) In general, you just say "Unreviewed gardening" or something like that, without the "Reviewed by" line.
Comment 6 Thiago Marcos P. Santos 2012-04-21 03:48:48 PDT
Created attachment 138230 [details]
patch

LOL, now you know why people should not work on friday until late night. :)
Comment 7 WebKit Review Bot 2012-04-23 07:35:19 PDT
Comment on attachment 138230 [details]
patch

Rejecting attachment 138230 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
mium/third_party/v8-i18n --revision 32 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
47>At revision 32.

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...
Total errors found: 0 in 1 files

Full output: http://queues.webkit.org/results/12482814
Comment 8 Thiago Marcos P. Santos 2012-04-23 07:45:50 PDT
Created attachment 138345 [details]
Rebased!
Comment 9 Thiago Marcos P. Santos 2012-04-23 07:48:10 PDT
Created attachment 138346 [details]
Rebased once again!
Comment 10 WebKit Review Bot 2012-04-23 08:18:48 PDT
Comment on attachment 138346 [details]
Rebased once again!

Rejecting attachment 138346 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
t/git/webkit-commit-queue/Source/WebKit/chromium/v8 --revision 11316 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
47>At revision 11316.

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...

Full output: http://queues.webkit.org/results/12479803
Comment 11 Thiago Marcos P. Santos 2012-04-23 08:24:22 PDT
Created attachment 138352 [details]
Rebased again! Not a lucky day.
Comment 12 WebKit Review Bot 2012-04-23 09:04:40 PDT
Comment on attachment 138352 [details]
Rebased again! Not a lucky day.

Clearing flags on attachment: 138352

Committed r114904: <http://trac.webkit.org/changeset/114904>
Comment 13 WebKit Review Bot 2012-04-23 09:04:46 PDT
All reviewed patches have been landed.  Closing bug.